Page MenuHomePhabricator

evil: fixed T5410
ClosedPublic

Authored by i.furs on Apr 27 2017, 10:26 AM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
i.furs created this revision.Apr 27 2017, 10:26 AM
vtorri requested changes to this revision.Apr 27 2017, 10:38 AM

i do not agree

the detection of function should be done at configure time, not by testing version of mingw-w64

This revision now requires changes to proceed.Apr 27 2017, 10:38 AM
i.furs updated this revision to Diff 11337.EditedMay 10 2017, 11:11 AM
i.furs edited edge metadata.

the function mkstemp(...) was included in mingw 4 version. But this feature will not work properly in efl for WINDOWS. Because the file is created with permissions(and this is a problem):
Linux - 0600

http://man7.org/linux/man-pages/man3/mkstemp.3.html

Windows - _SH_DENYRW

https://msdn.microsoft.com/en-gb/library/w7sa2b22.aspx

https://sourceforge.net/p/mingw-w64/mingw-w64/ci/master/tree/mingw-w64-crt/misc/mkstemp.c

Therefore it is better to remove the check and use mkstemp(...) with efl/evil

Updating D4830: evil: fixed T5410

jpeg added a comment.Jun 8 2017, 12:58 AM

@vtorri what's your verdict?

This revision now requires changes to proceed.Jun 8 2017, 12:58 AM
vtorri added a comment.Jun 9 2017, 6:28 AM

good for me

Closed by commit rEFLf3e9496cd128: evil: Fix edc scripts compilation on windows (authored by zvukzyshyny, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyJun 11 2017, 9:39 PM
This revision was automatically updated to reflect the committed changes.